Last modified: 2012-04-19 21:43:37 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20875 - Navigable TOC : Navigable TOC not changed after replace a link.
Navigable TOC : Navigable TOC not changed after replace a link.
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/en.wik...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-29 12:38 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-09-29 12:38:09 UTC
Reporting against Babaco Release. (Hosted on http://prototype.wikimedia.org)

Steps to Reproduce ::
1)Navigate to a page and click Edit link
2)Check navigable table of content 
3)Click Search and replace icon
4)Replace a section name with new text
<<Table of content is not changed with new value>>

5) Close the dialog and click old link
<<Cursor is moved to the new section name>>

Expected Outcome ::
Table of content shall be changed as a section text is replaced. 


Test Environment (Client) ::
Browser (User-Agent):   Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.14) Gecko/2009082707 Firefox/3.0.14 (.NET CLR 3.5.30729)
Javascript:     Enabled
Cookies Enabled:        Enabled
Java Enabled:   Enabled
CPU class/type:         OS/CPU Windows NT 6.0
Screen Width x Height:  1024 x 768
Screen Color Depth:     32
Comment 1 Calcey QA 2009-09-29 12:43:51 UTC
Test Environment should changed to following.

Test Environment (Client) ::
Browser (User-Agent):   Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/530.17 (KHTML, like Gecko) Version/4.0 Safari/530.17
Javascript:     Enabled
Cookies Enabled:        Enabled
Java Enabled:   Enabled
CPU class/type:         OS/CPU Windows NT 6.0
Screen Width x Height:  1024 x 768
Screen Color Depth:     32
Comment 2 Roan Kattouw 2009-09-29 12:49:38 UTC
Fixed in r57051.
Comment 3 Calcey QA 2009-10-01 06:20:08 UTC
Verified and Passed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links